
<?php 
    // Configuration de la connexion à la base de données
    $host = "localhost";
    $identi = "plaisimonderrick";
    $pass = "Domaine_dede";
    $database = "plaisimonderrick_phpmmi2";
    
    // Connexion à la base de données
    $connect = mysqli_connect($host, $identi, $pass, $database);
    
    // Vérification de la connexion
    if (!$connect) {
        die("Erreur de connexion à la base de données : " . mysqli_connect_error());
    }
    
    // Vérifier si les variables 'pays', 'matiere' et 'temps' sont définies dans la requête POST
    if (isset($_POST['pays']) || isset($_POST['matiere']) || isset($_POST['temps']) || isset($_POST['danger'])) {
        // Construction dynamique de la condition SQL
         
        $conditions = [];
        
    
   if (!empty($_POST['pays'])) {
        $pays = $_POST['pays'];
        $conditions[] = "pays = '$pays'";
    }

    if (!empty($_POST['matiere'])) {
        $matiere = $_POST['matiere'];
        $conditions[] = "matiere = '$matiere'";
    }

    if (!empty($_POST['temps'])) {
        $temps = $_POST['temps'];
        $conditions[] = "temps = '$temps'";
    }
    
    if (!empty($_POST['danger'])) {
        $danger = $_POST['danger'];
        $conditions[] = "dangereux = '$danger'";
    }
    
    // Construction de la clause WHERE
    if (!empty($conditions)) {
    $whereClause = implode(' AND ', $conditions);}
        // Préparer la requête pour récupérer les images associées au pays
        $query = "SELECT image , titre , texte FROM arme WHERE $whereClause ";
       
        $result = mysqli_query($connect, $query);
    
        if ($result) {
            $data = [];
            // Boucler pour récupérer les résultats
            while ($row = mysqli_fetch_assoc($result)) {
                $data[] = [
            'image' => $row['image'],
            'titre' => $row['titre'],
            'texte' => $row['texte']
        ];
            }
            // Retourner les chemins d'images sous forme de JSON
            echo json_encode($data);
        } else {
            // En cas d'erreur de la requête
            echo json_encode([]); 
        }
        
        
        
        
    } 
    
    else {
        // Si les variables 'pays', 'matiere' ou 'temps' ne sont pas définies
        echo json_encode(["error" => "Les paramètres nécessaires sont manquants."]);
    }
    
   
    
    
    
    // Fermer la connexion à la base de données
    mysqli_close($connect);
    
    // $matiere = $_POST['matiere'];
    
    // if($matiere == 'bois'){
    //     echo "<p id='text'>Très bien derrick</p>";
     
    // }
    
    // else {
    //     echo" <p id='text'>non c pas bon</p>";
    // }
    


?>






